
'''

程序入口
'''

# 导入flask中create_app()方法，
from flask_shop import create_app,db
from flask_migrate import Migrate,MigrateCommand
from flask_script import Manager
# 传不同的参数，获取不同的加载信息
app=create_app('develop')
manager=Manager(app)
Migrate(app,db)

'''
python manager.py db init 执行一次

python manager.py db migrate生成表结构

python manager.py db upgrade 映射数据库

注意:main中必须是manager.run（）
'''
manager.add_command('db',MigrateCommand)
if __name__ == '__main__':
    app.run(port=8080)
    # manager.run()